> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivatives Exchanges List with Data

> To query all the derivatives exchanges with related data (ID, name, open interest, ...) on CoinGecko

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

<CacheInfo rate="60 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.derivatives.exchanges.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.derivatives.exchanges.get()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /derivatives/exchanges
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /derivatives/exchanges:
    get:
      summary: Derivatives Exchanges List with Data
      description: >-
        To query all the derivatives exchanges with related data (ID, name, open
        interest, ...) on CoinGecko
      operationId: derivatives-exchanges
      parameters:
        - name: order
          in: query
          required: false
          description: |-
            Sort order of responses. 
            Default: `open_interest_btc_desc`
          schema:
            type: string
            enum:
              - name_asc
              - name_desc
              - open_interest_btc_asc
              - open_interest_btc_desc
              - trade_volume_24h_btc_asc
              - trade_volume_24h_btc_desc
        - name: per_page
          in: query
          required: false
          description: Total results per page.
          schema:
            type: integer
        - name: page
          in: query
          required: false
          description: |-
            Page through results. 
            Default value: 1
          schema:
            type: integer
      responses:
        '200':
          description: List of derivative exchanges with data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativesExchanges'
              example:
                - name: Binance (Futures)
                  id: binance_futures
                  open_interest_btc: 332790.5
                  trade_volume_24h_btc: '588597.24'
                  number_of_perpetual_pairs: 592
                  number_of_futures_pairs: 72
                  image: >-
                    https://coin-images.coingecko.com/markets/images/466/small/binance_futures.jpg?1706864452
                  year_established: 2019
                  country: Cayman Islands
                  description: ''
                  url: https://www.binance.com/
                - name: Bybit (Futures)
                  id: bybit
                  open_interest_btc: 148377.99
                  trade_volume_24h_btc: '162793.82'
                  number_of_perpetual_pairs: 673
                  number_of_futures_pairs: 68
                  image: >-
                    https://coin-images.coingecko.com/markets/images/460/small/photo_2021-08-12_18-27-50.jpg?1706864447
                  year_established: 2018
                  country: Seychelles
                  description: >-
                    Bybit is the world's second-largest cryptocurrency exchange
                    by trading volume, serving a global community of over 60
                    million users.
                  url: https://www.bybit.com
components:
  schemas:
    DerivativesExchanges:
      type: array
      items:
        type: object
        required:
          - name
          - id
          - open_interest_btc
          - trade_volume_24h_btc
          - number_of_perpetual_pairs
          - number_of_futures_pairs
          - image
          - year_established
          - country
          - description
          - url
        properties:
          name:
            type: string
            description: Derivatives exchange name
          id:
            type: string
            description: Derivatives exchange ID
          open_interest_btc:
            type: number
            description: Derivatives exchange open interest in BTC
          trade_volume_24h_btc:
            type: string
            description: Derivatives exchange trade volume in BTC in 24 hours
          number_of_perpetual_pairs:
            type: integer
            description: Number of perpetual pairs in the derivatives exchange
          number_of_futures_pairs:
            type: integer
            description: Number of futures pairs in the derivatives exchange
          image:
            type: string
            description: Derivatives exchange image URL
          year_established:
            type: integer
            nullable: true
            description: Derivatives exchange established year
          country:
            type: string
            nullable: true
            description: Derivatives exchange incorporated country
          description:
            type: string
            description: Derivatives exchange description
          url:
            type: string
            description: Derivatives exchange website URL
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````